# Load Libraries
from machine import Pin, Timer
import time

# Initialization of GPIO18 as input
button = Pin(18, Pin.IN, Pin.PULL_DOWN)

# Timer initialization
timer = Timer()
# Variables initialization
i = 0

# Function: Variable is counted up
def func(pin):
    global i
    i = i + 1
    print(i)

if button.value() == 1:
    # Initialization interrupt
    button.irq(handler=func, trigger=button.IRQ_FALLING)

# Serielle Ausgabe
print("Tap the sensor to count up")
print("-------------------------------------")